import * as OrderAPIUtil from '../util/orders_api_util';

export const RECEIVE_ORDERS = 'RECEIVE_ORDERS';
export const RECEIVE_ORDER = 'RECEIVE_ORDER';
export const UPDATE_ORDER = 'UPDATE_ORDER';

const receiveOrders = (payload) => ({
  type: RECEIVE_ORDERS,
  payload,
})

// const receiveOrder = (order) => ({
//   type: RECEIVE_ORDER,
//   order,
// })

export const fetchOrders = () => (dispatch) => {
  OrderAPIUtil.getOrders()
    .then(res => {
      dispatch(receiveOrders(res))
    });
}
